FROM python:3.12-bookworm

RUN apt-get update && apt-get install --no-install-recommends -y \
	build-essential \
	libpq-dev \
	&& apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false \
	&& rm -rf /var/lib/apt/lists/*

ENV VIRTUAL_ENV=/venv \
	PATH=/venv/bin:$PATH

RUN python -m venv /venv

WORKDIR /app

COPY requirements/django.txt .
RUN pip install --no-cache-dir --requirement django.txt

CMD ["celery", "-A", "config", "worker", "-l", "info"]